# Create a Digital LOA Digital Letter of Authorization (LOA) enables convenient ordering of services that require third-party authorization. It minimizes the engagement from both A-side and Z-side when processing orders for interconnection services such as Cross Connect. This document is for z-side partners creating a Digital LOA. If you are an a-side partner seeking a Digital LOA from a z-side partner, see [Request a Digital Letter of Authorization](https://docs.equinix.com/cross-connect/cross-connect-api/requestdigitalloa.md). ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") 1. Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call the OAuth API to validate and authenticate your credentials. 2. (*Optional*) Get Possible A-side Partners. Use the [Get Possible Connections](https://docs.equinix.com/api-catalog/diloav1/marketplace-organizations/findorganizations.md) endpoint to retrieve the list of A-side partners that are present in a specified IBX data center. ## Creating a Digital LOA - Existing A-side Relationship[​](#creating-a-digital-loa---existing-a-side-relationship "Direct link to Creating a Digital LOA - Existing A-side Relationship") To create a Digital LOA send a `POST` request to the [`/diloa/v1/digitalLoas`](https://docs.equinix.com/api-catalog/diloav1/loa/create.md) endpoint. Specify the a-side partner and connection details in the body of the request. | `POST /diloa/v1/digitalLoas`[View the API Reference](https://docs.equinix.com/api-catalog/diloav1.md#tag/Loa/operation/Create%20Digital%20LOA%20document) | | | --------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | | | | Method | `POST` | | URL or End Point | `/diloa/v1/digitalLoas` | | Headers | `Content-Type` | | Query Parameters | Not applicable | | Body Parameters | `products [{type, crossConnect {connectionService, mediaType, protocolType, aSide {connectorType, circuitId, patchPanelId, portA, portB}, zSide {connectorType, circuitId, patchPanelId, portA, portB}}}]`, `requestor {type}`, `provider {contacts [{type, registeredUser, firstName, lastName, timezone, availability, details [{notes, value, type}]}]}`, `notes`, `expiryDateTime` | If the A-side customer you want to issue this Digital LOA document to is listed in the response to a GET request to the [Get Possible Connections](https://docs.equinix.com/api-catalog/diloav1/marketplace-organizations/findorganizations.md) endpoint, set the `requestor.type` parameter to `CUSTOMER_ORGANIZATION`. In the `requestor.ids` parameter, specify customer organizations entitled to use this Digital LOA document. Sample cURL Request: ``` curl -X POST "https://api.equinix.com/diloa/v1/digitalLoas" -H "content-type: application/json" -H "Authorization: Bearer " -d '{     "products": [         {             "type": "CROSS_CONNECT",             "crossConnect": {                 "connectionService": "UTP",                 "mediaType": "CAT6",                 "protocolType": "ETHERNET",                 "zSide": {                     "connectorType": "RJ45",                     "patchPanelId": "PP:0000:6256843",                     "circuitId": "34234535",                     "portA": 4                 }             }         }     ],     "requestor": {         "type": "CUSTOMER_ORGANIZATION",         "contacts": [             {                 "type": "NOTIFICATION",                 "details": [                     {                         "value": "jane@xyz.com",                         "type": "EMAIL"                     }                 ]             }         ],         "orgIds": [             "123412",             "223124"         ],         "name": "XYZ Company"     },     "provider": {         "contacts": [             {                 "type": "NOTIFICATION",                 "firstName": "John",                 "lastName": "Smith",                 "timezone": "America/Los_Angeles",                 "details": [                     {                         "value": "john@smith.com",                         "type": "EMAIL"                     }                 ]             }         ]     },     "notes": "",     "expiryDateTime": "2022-07-31T21:59:59.999Z" }' ``` The parameters included in the request body are specific to this example. For a full list of parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/diloav1/loa/create.md). Sample Response: ``` {     "token": "",     "uuid": "079dc798-05e8-11ed-b939-0242ac120002",     "state": "READY_FOR_USE",     "draft": false,     "changeLog": {         "createdDateTime": 2018-05-24T18:19:59.999Z     },     "link": {         "rel": "info",         "href": "https://ic-core-prod-ingress-usw1.clouda.equinix.com:80/diloa/v2/digitalLoas/402cbf99-97d7-440f-8291-1a4b9639154a",         "method": "GET",         "contentType": "application/json",         "authenticate": true     },     "expiryDateTime": 2018-06-24T18:19:59.999Z,     "href": "diloa/v1/digitalLoas/079dc798-05e8-11ed-b939-0242ac120002" } ``` Response payload includes configuration parameters defined in the request body. For a full list of possible parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/diloav1/loa/create.md). ## Creating a Digital LOA - New A-side Relationship[​](#creating-a-digital-loa---new-a-side-relationship "Direct link to Creating a Digital LOA - New A-side Relationship") To create a Digital LOA send a `POST` request to the [`/diloa/v1/digitalLoas`](https://docs.equinix.com/api-catalog/diloav1/loa/create.md) endpoint. Specify connection details in the body of the request. Since the A-side customer you want to issue this Digital LOA document to isn't listed in the response to a GET request to the [Get Possible Connections](https://docs.equinix.com/api-catalog/diloav1/marketplace-organizations/findorganizations.md) endpoint, set the `requestor.type` parameter to `NEW_RELATIONSHIP`. Also provide their contact information. Sample cURL Request: ``` curl -X POST "https://api.equinix.com/diloa/v1/digitalLoas" -H "content-type: application/json" -H "Authorization: Bearer {Access Token}" -d '{     "products": [         {             "type": "CROSS_CONNECT",             "crossConnect": {                 "connectionService": "UTP",                 "mediaType": "CAT6",                 "protocolType": "ETHERNET",                 "zSide": {                     "connectorType": "RJ45",                     "patchPanelId": "PP:0000:6256843",                     "circuitId": "34234535",                     "portA": 4                 }             }         }     ],     "requestor": {         "type": "NEW_RELATIONSHIP",         "email": "jane@xyz.com",         "name": "XYZ Company"     },     "provider": {         "contacts": [             {                 "type": "NOTIFICATION",                 "firstName": "John",                 "lastName": "Smith",                 "timezone": "America/Los_Angeles",                 "details": [                     {                         "value": "john@smith.com",                         "type": "EMAIL"                     }                 ]             }         ]     },     "notes": "",     "expiryDateTime": "2022-07-31T21:59:59.999Z" }' ``` The parameters included in the request body are specific to this example. For a full list of parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/diloav1/loa/create.md). ### Authorize Digital LOA Use[​](#authorize-digital-loa-use "Direct link to Authorize Digital LOA Use") This step is applicable to new A-side customer relationships. After the Digital LOA document is created, the A-side party receives an email notification with authorization link. Once the A-side party verifies and approves the Digital LOA document, send a `GET` request to the [`/diloa/v1/digitalLoas/{id}/actions`](https://docs.equinix.com/api-catalog/diloav1/loa/performaction.md) endpoint. Specify the Digital LOA in the path of the request and the `type` as `AUTHORIZE` in the body of the request. | `POST /diloa/v1/digitalLoas/{uuid}/actions`[View the API Reference](https://docs.equinix.com/api-catalog/diloav1.md#tag/Loa/operation/Perform%20action%20on%20Digital%20LOA%20document.) | | | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------- | | | | | Method | `POST` | | URL or End Point | `/diloa/v1/digitalLoas/{uuid}/actions` | | Headers | `Content-Type` | | Query Parameters | Not applicable | | Body Parameters | `type` | Sample cURL Request: ``` curl -X POST "https://api.equinix.com/diloa/v1/digitalLoas/{id}/actions" -H "Authorization: Bearer " -d '{     "type": "AUTHORIZE" }' ``` The parameters included in the request body are specific to this example. For a full list of parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/diloav1/loa/performaction.md). ## Monitoring Digital LOA Status[​](#monitoring-digital-loa-status "Direct link to Monitoring Digital LOA Status") Use the [`/diloa/v1/digitalLoas/{id}`](https://docs.equinix.com/api-catalog/diloav1/loa/findbyuuid.md) API request to monitor LOA document's status. For information on possible statuses, see [Digital LOA Statuses](https://docs.equinix.com/digital-loa/xc-loa-statuses.md).